include	clib.inc
include	dos.inc

PPROC	wsetcrdate, path:DPTR, crdate:word, crtime:word
	push	si
	push	di
	MPUSH	ds
	MLDS	dx,path
	mov	cx,crtime
	mov	di,crdate
	xor	si,si
	stc
	mov	ax,7143h
	mov	bl,7
	int	21h
	MPOP	ds
	pop	di
	pop	si
	jc	wsetcrdate_error
	xor	ax,ax
    wsetcrdate_toend:
	ret
    wsetcrdate_error:
	call	@dosmaper
	mov	ax,-1
	jmp	wsetcrdate_toend
PEND	wsetcrdate

	END
